%define rver	0.42-6
%define ver	%(echo %rver|tr '-' '.')
%define rel	13
%global _legacy_common_support 1

Summary:	Real-time patchable audio and multimedia processor
Name:		pd
Version:	%{ver}
Release:	%mkrel %{rel}
License:	BSD
Group:		Sciences/Other
URL:		http://www.puredata.org
Source0:	https://downloads.sourceforge.net/pure-data/%{name}-%{rver}.src.tar.gz
Patch0:		pd-0.42-6-tcl86.patch
Patch1:		pd-0.42-6-big_endian.patch
Patch2:		pd-0.42-6-fix_strncpy_usage.patch
#Patch3:		pd-0.42-6-hurd.patch
Patch4:		pd-0.42-6-nostrip.patch
Patch5:		pd-0.42-6-linking.patch
BuildRequires:	tcl >= 8.5
BuildRequires:	pkgconfig(tcl) >= 8.5
BuildRequires:	tk >= 8.5
BuildRequires:	pkgconfig(tk) >= 8.5
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
#BuildRequires:	fftw3-devel
BuildRequires:	portaudio-devel
Requires:	tcl >= 8.5
Requires:	tk >= 8.5
# PD expects quite a few files from the docs to be present for various
# things to work, so there's really no point in separating them out
# - AdamW 2008/12
Obsoletes:	%{name}-doc < %{version}-%{release}

%description
Pd gives you a canvas for patching together modules that analyze, process,
and synthesize sounds, together with a rich palette of real-time control  
and I/O possibilities.  Similar to Max (Cycling74) and JMAX (IRCAM).  A   
related software package named Gem extends Pd's capabilities to include   
graphical rendering.

%package devel
Summary:	Development files for Pure Data
Group:		Development/Other

%description devel
Development files for Pure Data.

%prep
%setup -q -n %{name}-%{rver}
%patch0 -p1 -b .tcl86
%patch1 -p1 -b .big_endian
%patch2 -p1 -b .strncopy
#patch3 -p1 -b .hurd
%patch4 -p1 -b .nostrip
%patch5 -p1 -b .linking

sed -i -e 's|doc/|share/%{name}/doc/|g' src/s_main.c src/u_main.tk
sed -i -e 's|\(^set help_top_directory\).*|\1 %{_datadir}/%{name}/doc|' src/u_main.tk

%build
pushd src
autoconf
export CPPFLAGS="%{optflags}"
%configure \
	--enable-jack \
	--enable-alsa \
	--enable-fftw \
	--enable-portaudio \
	--enable-portmidi

%make_build LDFLAGS="%{ldflags}"
popd

%install
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_mandir}/man1
%__mkdir_p %{buildroot}%{_includedir}/%{name}
%__mkdir_p %{buildroot}%{_datadir}/%{name}

%__install -m 755 bin/pd %{buildroot}/%{_bindir}
%__install bin/pdsend bin/pdreceive %{buildroot}/%{_bindir}
%__install bin/pd-gui bin/pd-watchdog %{buildroot}/%{_bindir}
%__install bin/pd.tk %{buildroot}/%{_bindir}

%__install src/*.h %{buildroot}/%{_includedir}/%{name}
cp -pr doc/ %{buildroot}%{_datadir}/%{name}
#%cp -pr extra %%{buildroot}/%%{_libdir}/%%{name}/pd

%__install -m 644 man/*.1 %{buildroot}/%{_mandir}/man1

%files
%doc README.txt LICENSE.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files devel
%{_includedir}/%{name}


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.42.6-13.mga9
+ Revision: 1838814
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 0.42.6-12.mga8
+ Revision: 1617180
- add common
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Feb 14 2020 umeabot <umeabot> 0.42.6-11.mga8
+ Revision: 1515842
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.42.6-10.mga7
+ Revision: 1300147
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 0.42.6-9.mga6
+ Revision: 970355
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 0.42.6-8.mga6
+ Revision: 886300
- rebuild for new tcl/tk 8.6.4
+ tv <tv>
- do not strip binary

* Wed Oct 15 2014 umeabot <umeabot> 0.42.6-7.mga5
+ Revision: 744044
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.42.6-6.mga5
+ Revision: 725039
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.42.6-5.mga5
+ Revision: 683378
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.42.6-4.mga4
+ Revision: 508912
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.42.6-3.mga3
+ Revision: 362674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 02 2011 fwang <fwang> 0.42.6-2.mga2
+ Revision: 117335
- rebuild for new tcl

* Tue Mar 29 2011 ennael <ennael> 0.42.6-1.mga1
+ Revision: 78706
- clean spec file
- remove hurd patch
- imported package pd


* Thu Dec 16 2010 Jani Välimaa <wally@mandriva.org> 0.42.6-1mdv2011.0
+ Revision: 622282
- new version 0.42.6
- update P0 name
- add P1,P2,P3 and P4 from Debian
- add P5 to fix linking

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.41.4-3mdv2009.1
+ Revision: 320725
- enable fftw and portaudio support

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.41.4-2mdv2009.1
+ Revision: 310976
- fix paths to the required files in /doc
- don't split out the docs, they're needed for various things to work
- rebuild for new tcl
- add tcl86.patch: fix 8.6 detection, hack/fix interp->result stuff

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.41.4-1mdv2009.0
+ Revision: 270775
- update to new version 0.41-4
- fix urls
- fix mixture of tabs and spaces
- spec file clean

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.41.0-3mdv2009.0
+ Revision: 255147
- rebuild

  + Adam Williamson <awilliamson@mandriva.org>
    - version the tcl and tk requires

* Sat Feb 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.41.0-1mdv2008.1
+ Revision: 164574
- rebuild for new era and new tcl/tk
- spec clean
- new release 0.41.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.38.1-3mdv2008.1
+ Revision: 131080
- kill re-definition of %%buildroot on Pixel's request
- import pd


* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.38.1-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.38.1-2mdk
 - buildrequires fix

* Sat Jan 15 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.38.1-1mdk
- initial mandrakelinux import
- macroszification and some other mandrakelinux specific changes
